import { Boot } from '@wangeditor/editor'

import editCode from './code'
import insetSelect from './inset'
const module = {
  menus: [editCode, insetSelect],
}
Boot.registerModule(module)
function insertKeys(isInsert) {
  if (isInsert) {
    return {
      index: -2,
      keys: ['editCode', 'insertSelect'],
    }
  }
  return {
    index: -1,
    keys: ['editCode'],
  }
}

export default insertKeys